# Get Messages Called during synchronization to pull in the messages from the conversation in your system. Messages which have already been synchronized will be ignored. New messages will be pulled into Fin's version of the Conversation. Endpoint: POST /get_messages Version: 0.0.1 Security: BearerAuth ## Request fields (application/json): - `conversation_id` (string) ID of the conversation in your system Example: "conv_456" - `after_id` (string) ID of the last seen message ID from the external system. As an optimization, the external service may choose to return only messages created after this. Example: "msg_101" ## Response 200 fields (application/json): - `data` (array) - `data.id` (string, required) Unique identifier for the message in your system Example: "msg_001" - `data.conversation_id` (string, required) ID of the parent conversation Example: "conv_456" - `data.message_type` (string, required) Type of message Enum: "comment" - `data.body` (string,null) Message content in HTML format. Supported HTML tags are: - Paragraphs ` - Heading 1, Heading 2 (note h3 to h6 appears as a h2) - Bold - Italic - Links - Images (can be linked) - Line breaks - Code blocks - Unordered lists - Ordered lists ` Example: "
Hi! I'd like to know more about your pricing plans.
" - `data.author` (any, required) The user who authored the message. - `data.visibility` (string, required) Who can see the message: - public - Visible to end-users (appears in Fin Messenger) - private - Only visible to agents (internal notes) Enum: "public", "private" - `data.created_at` (string, required) When the message was created (ISO 8601 UTC) Example: "2025-10-27T14:35:00.000Z" - `data.attachments` (array) Files attached to the message - `data.attachments.url` (string) URL where the attachment can be accessed. Must be HTTPS. Consider using signed URLs with expiration for sensitive files. Example: "https://example.com/files/pricing-guide.pdf" - `data.attachments.filetype` (string) File type/extension. Example: "pdf" - `data.attachments.filename` (string) Display name for the file Example: "Pricing Guide 2025" - `error` (object) The error returned by the API. This is an RFC 7807 problem details object: . - `error.type` (string) A URI reference that identifies the problem type. - `error.title` (string) A short, human-readable summary of the problem type. - `error.status` (integer) The HTTP status code generated by the origin server for this occurrence of the problem. - `error.detail` (string) A human-readable explanation specific to this occurrence of the problem. - `error.instance` (string) A URI reference that identifies the specific occurrence of the problem.